## ros-humble-tf2-ros 0.25.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_ros)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(message_filters REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_msgs REQUIRED)

# tf2_ros library
add_library(${PROJECT_NAME} SHARED
  src/buffer.cpp
  src/create_timer_ros.cpp
  src/transform_listener.cpp
  src/buffer_client.cpp
  src/buffer_server.cpp
  src/transform_broadcaster.cpp
  src/static_transform_broadcaster.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} PUBLIC
  ${builtin_interfaces_TARGETS}
  ${geometry_msgs_TARGETS}
  message_filters::message_filters
  rclcpp::rclcpp
  rclcpp_action::rclcpp_action
  tf2::tf2
  ${tf2_msgs_TARGETS})

target_compile_definitions(${PROJECT_NAME} PRIVATE "TF2_ROS_BUILDING_DLL")

# buffer_server executable
add_executable(buffer_server src/buffer_server_main.cpp)
target_link_libraries(buffer_server
  ${PROJECT_NAME}
  rclcpp::rclcpp
)

add_library(static_transform_broadcaster_node SHARED
  src/static_transform_broadcaster_node.cpp
)
target_compile_definitions(static_transform_broadcaster_node PRIVATE "STATIC_TRANSFORM_BROADCASTER_BUILDING_DLL")
target_include_directories(static_transform_broadcaster_node PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(static_transform_broadcaster_node PUBLIC
  ${PROJECT_NAME}
  ${geometry_msgs_TARGETS}
  rclcpp::rclcpp
  ${tf2_msgs_TARGETS})
target_link_libraries(static_transform_broadcaster_node PRIVATE
  rclcpp_components::component)
rclcpp_components_register_nodes(static_transform_broadcaster_node "tf2_ros::StaticTransformBroadcasterNode")

# static_transform_publisher
add_executable(static_transform_publisher
  src/static_transform_broadcaster_program.cpp
)
target_link_libraries(static_transform_publisher
  ${PROJECT_NAME}
  rclcpp::rclcpp
  static_transform_broadcaster_node
  tf2::tf2
)

add_executable(tf2_echo
  src/tf2_echo.cpp
)
target_link_libraries(tf2_echo
  ${PROJECT_NAME}
  rclcpp::rclcpp
)

add_executable(tf2_monitor
  src/tf2_monitor.cpp
)
target_link_libraries(tf2_monitor
  ${PROJECT_NAME}
  rclcpp::rclcpp
  ${tf2_msgs_TARGETS}
)

# Install rules
install(TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(TARGETS static_transform_broadcaster_node
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# install executables
install(TARGETS
  buffer_server
  static_transform_publisher
  tf2_echo
  tf2_monitor
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

# Tests
if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rosgraph_msgs REQUIRED)

  ament_cppcheck(LANGUAGE "c++")
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify(LANGUAGE "c++")

  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(test_buffer test/test_buffer.cpp)
  target_link_libraries(test_buffer
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
  )

  ament_add_gtest(test_buffer_server test/test_buffer_server.cpp)
  target_link_libraries(test_buffer_server
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
    #   rclcpp_action::rclcpp_action
    #   ${tf2_msgs_TARGETS}
  )

  ament_add_gtest(test_buffer_client test/test_buffer_client.cpp)
  target_link_libraries(test_buffer_client
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
    #   rclcpp_action::rclcpp_action
    #   ${tf2_msgs_TARGETS}
  )

  # Adds a tf2_ros message_filter unittest that uses
  # multiple target frames and a non-zero time tolerance
  ament_add_gtest(${PROJECT_NAME}_test_message_filter test/message_filter_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test_message_filter
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   ${geometry_msgs_TARGETS}
    #   message_filters::message_filters
    #   rclcpp::rclcpp
  )

  ament_add_gtest(${PROJECT_NAME}_test_transform_listener test/test_transform_listener.cpp)
  target_link_libraries(${PROJECT_NAME}_test_transform_listener
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
  )

  ament_add_gtest(${PROJECT_NAME}_test_static_transform_broadcaster test/test_static_transform_broadcaster.cpp)
  target_link_libraries(${PROJECT_NAME}_test_static_transform_broadcaster
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
  )

  ament_add_gtest(${PROJECT_NAME}_test_transform_broadcaster test/test_transform_broadcaster.cpp)
  target_link_libraries(${PROJECT_NAME}_test_transform_broadcaster
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   rclcpp::rclcpp
  )

  ament_add_gtest(${PROJECT_NAME}_test_time_reset test/time_reset_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test_time_reset
    ${PROJECT_NAME}
    ${rosgraph_msgs_TARGETS}
    # Used, but not linked to test tf2_ros's exports:
    #   ${builtin_interfaces_TARGETS}
    #   rclcpp::rclcpp
  )

  ament_add_gtest(${PROJECT_NAME}_test_listener test/listener_unittest.cpp)
  target_link_libraries(${PROJECT_NAME}_test_listener
    ${PROJECT_NAME}
    # Used, but not linked to test tf2_ros's exports:
    #   ${builtin_interfaces_TARGETS}
    #   rclcpp::rclcpp
  )

endif()

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(
  rcl_interfaces
  rclcpp_components
  builtin_interfaces
  geometry_msgs
  message_filters
  rclcpp
  rclcpp_action
  tf2
  tf2_msgs
)
ament_package()

=== debian/changelog ===
ros-humble-tf2-ros (0.25.3-1jammy) jammy; urgency=high

  * Enable StaticTransformBroadcaster in Intra-process enabled components (backport #607 <https://github.com/ros2/geometry2/issues/607>) (#612 <https://github.com/ros2/geometry2/issues/612>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2-ros (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2-ros (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2-ros (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2-ros (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.23.0-1jammy) jammy; urgency=high

  * use dedicated callback group and executor to isolate timer (#447 <https://github.com/ros2/geometry2/issues/447>)
  * Adding shared pointer definition to tf2 buffer (#508 <https://github.com/ros2/geometry2/issues/508>)
  * fix for a basic logic (#510 <https://github.com/ros2/geometry2/issues/510>)
  * Fix precision loss from using rclcpp::Time::seconds() (#511 <https://github.com/ros2/geometry2/issues/511>)
  * Contributors: Chen Lihui, Kenji Brameld, Steve Macenski, Zhenpeng Ge

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.22.0-1jammy) jammy; urgency=high

  * clear relative callback of Buffer if MessageFilter is destroyed (#490 <https://github.com/ros2/geometry2/issues/490>)
  * More info in tf2_echo output (#468 <https://github.com/ros2/geometry2/issues/468>)
  * Contributors: Chen Lihui, simulacrus

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2-ros (0.20.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#486 <https://github.com/ros2/geometry2/issues/486>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2-ros (0.19.0-1jammy) jammy; urgency=high

  * More Intuitive CLI for Static Transform Publisher (#392 <https://github.com/ros2/geometry2/issues/392>)
  * Reduce transform listener nodes (#442 <https://github.com/ros2/geometry2/issues/442>)
  * tf2_ros: Fix deprecated subscriber callbacks (#448 <https://github.com/ros2/geometry2/issues/448>)
  * Contributors: Abrar Rahman Protyasha, Hunter L. Allen, gezp

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2-ros (0.18.0-1jammy) jammy; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>)
  * Contributors: PGotzmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2-ros (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2-ros (0.17.0-1jammy) jammy; urgency=high

  * Guard against access to null node pointer (#393 <https://github.com/ros2/geometry2/issues/393>)
  * Allow to reconfigure durability for /tf topic broadcaster/listener (#383 <https://github.com/ros2/geometry2/issues/383>)
  * Fix the rcl type used in the time jump. (#391 <https://github.com/ros2/geometry2/issues/391>)
  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * fix accessing freed resources (#386 <https://github.com/ros2/geometry2/issues/386>)
  * Allow reconfiguring qos of tf and tf_static topics through parameters (#381 <https://github.com/ros2/geometry2/issues/381>)
  * Replace ROS_* logging macros and use RCLCPP_* instead (#380 <https://github.com/ros2/geometry2/issues/380>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Kazunari Tanaka

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2-ros (0.16.0-1jammy) jammy; urgency=high

  * Improve message filters error messages (#364 <https://github.com/ros2/geometry2/issues/364>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2-ros (0.15.1-1jammy) jammy; urgency=high

  * Clarify the role of child_frame_id and header.frame_id in the documentation. (#345 <https://github.com/ros2/geometry2/issues/345>)
  * Contributors: Vikas Dhiman

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2-ros (0.15.0-1jammy) jammy; urgency=high

  * Remove usage of deprecated rclcpp::Duration constructor (#340 <https://github.com/ros2/geometry2/issues/340>)
  * Remove messages_count member from tf2_ros::MessageFilter. (#335 <https://github.com/ros2/geometry2/issues/335>)
  * Style fixup in tf2_ros. (#325 <https://github.com/ros2/geometry2/issues/325>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2-ros (0.14.1-1jammy) jammy; urgency=high

  * Update goal response callback signature (#323 <https://github.com/ros2/geometry2/issues/323>)


=== debian/control ===
Source: ros-humble-tf2-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-rosgraph-msgs <!nocheck>, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-humble-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-rcl-interfaces, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: This package contains the C++ ROS bindings for the tf2 library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-ros//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tf2-ros 0.25.8

=== debian/changelog ===
ros-humble-tf2-ros (0.25.8-1bookworm) bookworm; urgency=high

  * Enable Twist interpolator (backport #646 <https://github.com/ros2/geometry2/issues/646>) (#684 <https://github.com/ros2/geometry2/issues/684>)
    * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
    (cherry picked from commit 62322b8fa74c90d144dfe32294f6670bf6cfe786)
    # Conflicts:
    #     tf2/include/tf2/buffer_core.h
    #     tf2_ros/test/test_buffer.cpp
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tf2-ros (0.25.7-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tf2-ros (0.25.6-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-tf2-ros (0.25.5-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tf2-ros (0.25.4-1bookworm) bookworm; urgency=high

  * Suppress spam from calling canTransform (#529 <https://github.com/ros2/geometry2/issues/529>) (#615 <https://github.com/ros2/geometry2/issues/615>)
  * Fix invalid timer handle exception (#474 <https://github.com/ros2/geometry2/issues/474>) (#614 <https://github.com/ros2/geometry2/issues/614>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-tf2-ros (0.25.3-1bookworm) bookworm; urgency=high

  * Enable StaticTransformBroadcaster in Intra-process enabled components (backport #607 <https://github.com/ros2/geometry2/issues/607>) (#612 <https://github.com/ros2/geometry2/issues/612>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-tf2-ros (0.25.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-tf2-ros (0.25.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-tf2-ros (0.25.0-1bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-tf2-ros (0.24.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-tf2-ros (0.23.0-1bookworm) bookworm; urgency=high

  * use dedicated callback group and executor to isolate timer (#447 <https://github.com/ros2/geometry2/issues/447>)
  * Adding shared pointer definition to tf2 buffer (#508 <https://github.com/ros2/geometry2/issues/508>)
  * fix for a basic logic (#510 <https://github.com/ros2/geometry2/issues/510>)
  * Fix precision loss from using rclcpp::Time::seconds() (#511 <https://github.com/ros2/geometry2/issues/511>)
  * Contributors: Chen Lihui, Kenji Brameld, Steve Macenski, Zhenpeng Ge

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-tf2-ros (0.22.0-1bookworm) bookworm; urgency=high

  * clear relative callback of Buffer if MessageFilter is destroyed (#490 <https://github.com/ros2/geometry2/issues/490>)
  * More info in tf2_echo output (#468 <https://github.com/ros2/geometry2/issues/468>)
  * Contributors: Chen Lihui, simulacrus

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tf2-ros (0.21.0-1bookworm) bookworm; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tf2-ros (0.20.0-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#486 <https://github.com/ros2/geometry2/issues/486>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-tf2-ros (0.19.0-1bookworm) bookworm; urgency=high

  * More Intuitive CLI for Static Transform Publisher (#392 <https://github.com/ros2/geometry2/issues/392>)
  * Reduce transform listener nodes (#442 <https://github.com/ros2/geometry2/issues/442>)
  * tf2_ros: Fix deprecated subscriber callbacks (#448 <https://github.com/ros2/geometry2/issues/448>)
  * Contributors: Abrar Rahman Protyasha, Hunter L. Allen, gezp

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-humble-tf2-ros (0.18.0-1bookworm) bookworm; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>)
  * Contributors: PGotzmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-humble-tf2-ros (0.17.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-tf2-ros (0.17.0-1bookworm) bookworm; urgency=high

  * Guard against access to null node pointer (#393 <https://github.com/ros2/geometry2/issues/393>)
  * Allow to reconfigure durability for /tf topic broadcaster/listener (#383 <https://github.com/ros2/geometry2/issues/383>)
  * Fix the rcl type used in the time jump. (#391 <https://github.com/ros2/geometry2/issues/391>)
  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * fix accessing freed resources (#386 <https://github.com/ros2/geometry2/issues/386>)


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-ros//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-ros//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tf2-ros//opt/ros/humble/opt/tf2_ros/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
